aboutsummaryrefslogtreecommitdiffstats
path: root/main/perl-class-returnvalue
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-06-02 14:09:33 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-06-02 14:09:33 +0000
commit153c89da6709d7330a271be726104bbbdfcc9858 (patch)
tree3abb00fd5739b15d1f027144d1cc77bfaceb904d /main/perl-class-returnvalue
parent0d7c49b1e9decddf161bcb4e4c12ab46c0e794ec (diff)
downloadaports-153c89da6709d7330a271be726104bbbdfcc9858.tar.gz
aports-153c89da6709d7330a271be726104bbbdfcc9858.tar.bz2
aports-153c89da6709d7330a271be726104bbbdfcc9858.tar.xz
main/perl-*: moved to main
most of the have test scripts
Diffstat (limited to 'main/perl-class-returnvalue')
-rw-r--r--main/perl-class-returnvalue/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/main/perl-class-returnvalue/APKBUILD b/main/perl-class-returnvalue/APKBUILD
new file mode 100644
index 0000000000..58da67941a
--- /dev/null
+++ b/main/perl-class-returnvalue/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=perl-class-returnvalue
+pkgver=0.55
+pkgrel=0
+pkgdesc="Class::ReturnValue perl module"
+url="http://search.cpan.org/dist/Class-ReturnValue/"
+arch="noarch"
+license="GPLv2 or Artistic"
+depends="perl perl-devel-stacktrace"
+makedepends="perl-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/J/JE/JESSE/Class-ReturnValue-$pkgver.tar.gz"
+
+_builddir="$srcdir"/Class-ReturnValue-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make && make test || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="047fbbcfd90d5c399a1feba55781329e Class-ReturnValue-0.55.tar.gz"